Subject: GA-DIGEST V1 #1537
From: [email-masked] (GA-DIGEST)
To: [email-masked]

GA-DIGEST         Tuesday, December 24 2002         Volume 01 : Number 1537

----------------------------------------------------------------------

Date: Mon, 23 Dec 2002 10:02:17 +0100
From: Stephane Bortzmeyer <[email-masked]>
Subject: Re: [ga] whois: issues with uniformity

On Fri, Dec 20, 2002 at 12:15:58PM +0100,
 Thomas Roessler <[email-masked]> wrote 
 a message of 73 lines which said:

> Just in case it's helpful, here's a brief list of my favorite issues
> with WHOIS data format and element uniformity.

It is of course perfectly acceptable for the GA to discuss about the
whois service, but participants should know that there is an IETF
working group which is busy trying to build a "post whois"
protocol. Many points raised here should be sent as input to this IETF
working group (WG).

The WG is named CRISP (Cross Registry Information Service Protocol),
its Web page is
<URL:http://www.ietf.org/html.charters/crisp-charter.html>. I believe
that former GA members will specially be interested by the Requirments
document
<URL:http://www.ietf.org/internet-drafts/draft-ietf-crisp-requirements-02.txt>.

CRISP is currently studying two alternative technical proposals, IRIS
(Internet Registry Information Service), which is based on XML and a
custom protocol and a second proposal built on the well-known LDAP
protocol.
 
>   take non-ASCII content. Possibly desires for alternative values in
>   different scripts (think about countries where two kinds of
>   scripts are in use; think "western names" in China)?

There is no discussion about that: Unicode must be used. There is no
other way to handle the whole world (think that the future ".eu"
registry, for instance, will need at least Latin-1, Greek and soon
Latin-2).

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Mon, 23 Dec 2002 02:05:45 -0800 (PST)
From: Rick Wesson <[email-masked]>
Subject: Re: [ga] whois: issues with uniformity

On Mon, 23 Dec 2002, Stephane Bortzmeyer wrote:

[snip]
>
> >   take non-ASCII content. Possibly desires for alternative values in
> >   different scripts (think about countries where two kinds of
> >   scripts are in use; think "western names" in China)?
>
> There is no discussion about that: Unicode must be used. There is no
> other way to handle the whole world (think that the future ".eu"
> registry, for instance, will need at least Latin-1, Greek and soon
> Latin-2).

both IRIS and LDAP are UTF-8, thus Unicode capable.

- -rick

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Mon, 23 Dec 2002 11:11:40 +0100
From: Thomas Roessler <[email-masked]>
Subject: Re: [ga] whois: issues with uniformity

On 2002-12-23 10:02:17 +0100, Stephane Bortzmeyer wrote:

>>   take non-ASCII content. Possibly desires for alternative
>>   values in different scripts (think about countries where two
>>   kinds of scripts are in use; think "western names" in China)?

> There is no discussion about that: Unicode must be used. There is
> no other way to handle the whole world (think that the future
> ".eu" registry, for instance, will need at least Latin-1, Greek
> and soon Latin-2).

That doesn't solve the problem: There may be an ascii-friendly /and/
a "native" name for something -- like what you have, say, with many
Hotels and streets in Shanghai.  Of course, there is the "Hotel
Intercontinental" in "777 Zhangyang Road, Pudong, Shanghai". But
then, there's also that series of Chinese characters which I can't
even type on my keyboard.

For an internationally useful WHOIS service, you'd most likely like
to be able to accomodate /both/ versions in the database.

This isn't about Unicode-enabling a database: This is about the
human brain in general /not/ being Unicode-enabled, and about
accomodating existing real-life band-aids for that.

- -- 
Thomas Roessler                        http://log.does-not-exist.net/
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Mon, 23 Dec 2002 13:00:33 +0100
From: "DNSO SECRETARIAT" <[email-masked]>
Subject: [ga] WHOIS Final Report Public Comments remain open till January 9 2003

[To: [email-masked], [email-masked]]
[To: [email-masked]]

The Public comment list for the WHOIS Final Report will remain open until
January 9, 2003.

Secretariat

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Mon, 23 Dec 2002 10:13:18 -0800 (PST)
From: Rick Wesson <[email-masked]>
Subject: Re: [ga] whois: issues with uniformity

Thomas,

> For an internationally useful WHOIS service, you'd most likely like
> to be able to accomodate /both/ versions in the database.
>
> This isn't about Unicode-enabling a database: This is about the
> human brain in general /not/ being Unicode-enabled, and about
> accomodating existing real-life band-aids for that.

The EPP protocol supports this exact requirements. So registering with one
ascii address and one Unicode one is already in the provisioning protocol.

however, I don't know how the Unicode addresses come out in whois.

- -rick

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Tue, 24 Dec 2002 12:17:20 +0100
From: Vittorio Bertola <[email-masked]>
Subject: Re: [ga] whois: issues with uniformity

On Mon, 23 Dec 2002 10:02:17 +0100, you wrote:

>The WG is named CRISP (Cross Registry Information Service Protocol),
>its Web page is
><URL:http://www.ietf.org/html.charters/crisp-charter.html>. I believe
>that former GA members will specially be interested by the Requirments
>document
><URL:http://www.ietf.org/internet-drafts/draft-ietf-crisp-requirements-02.txt>.

I will definitely send a comment to that WG, but I'd like to hear an
opinion from other GA participants - especially about the following
sentence (§2.4.2):

>Intellectual Property Holders have legal rights to the use of domain
>names based on copyright and trademark laws of various governments.

I wouldn't think that the IETF is in the business of deciding who has
rights to the use of domain names... but even if they want to be, the
sentence is clearly incorrect: IP holders have legal rights to some
uses of certain alphanumerical strings, and have a right not to see
domain names used in infringement of such rights, for example for
cybersquatting or improper competition. But they do not have "legal
rights to the use of domain names" more than any other registrant.

The document then includes other very worrying proposals - for
example, it requires the new system to allow for worldwide
cross-registry searches for domains registered by a given registrant,
even by substring. There is a provision for some data to be marked as
"privileged" so that the access can be restricted to privileged
accounts (which, I hope, will only be released to law enforcement
agencies), but, for example, there is no provision for *operations* to
be marked as "privileged". 

I think that those operations that allow to systematically track down
the activities of individuals on the Internet should be limited to
privileged accounts. Perhaps this limitation should be introduced only
for domain names registered to individuals, and not for those
registered to companies or other entities.

However, my bottom line is: this document is not a technical
specification, but it is a requirement specification for a technical
service. Any technical manager will tell you that requirements are to
be written by the non-technical customer, with techies acting just as
support to translate the customer's needs into technically meaningful
language. In other words, this document (differently from the rest of
this WG's work) should be discussed in ICANN, not in the IETF. 

And there's no worse policy than that made by a group of engineers
that say (as they say at the beginning of their document) "we are not
going to address policy issues". The atomic bomb was born this way.
- -- 
vb.            [Vittorio Bertola - v.bertola [a] bertola.eu.org]<---
- -------------------> http://bertola.eu.org/ <-----------------------
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

End of GA-DIGEST V1 #1537
*************************